Package com.arms.api.analysis.resource.controller

## Class ResourceController

- java.lang.Object
- - com.arms.api.analysis.resource.controller.ResourceController

-     @RestController
      @RequestMapping("/admin/arms/analysis/resource")
      public class ResourceController
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResourceController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.List<TreemapExcelVO>>>` | `assigneeRequirementInvolvementDetailData​(ResourceWithVersionIdNamesDTO resourceWithVersionIdNamesDTO)` |
    `void` | `findAssigneeRequirementInvolvementDataDownload​(ResourceWithVersionIdNamesDTO resourceWithVersionIdNamesDTO, java.lang.String fileName, javax.servlet.http.HttpServletResponse httpServletResponse)` |
    `org.springframework.http.ResponseEntity<java.util.List<UniqueAssigneeVO>>` | `findAssigneesInfoData​(ResourceDTO resourceDTO)` |
    `org.springframework.http.ResponseEntity<java.util.List<HorizontalBarChartYAxisAndSeriesVO>>` | `findHorizontalBarChartData​(ResourceDTO resourceDTO)` |
    `org.springframework.http.ResponseEntity<ReqAndNotReqHorizontalBarChartVO>` | `findHorizontalBarChartDataAtOnce​(ResourceDTO resourceDTO)` |
    `org.springframework.http.ResponseEntity<ReqAndNotReqPieChartVO>` | `findPieChartData​(ResourceDTO resourceDTO)` |
    `org.springframework.http.ResponseEntity<TotalIssueAndPieChartVO>` | `findPieChartDataExpand​(ResourceDTO resourceDTO)` |
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.List<TreeMapWorkerVO>>>` | `findTreeMapChartDataV3​(ResourceWithVersionIdNamesDTO resourceWithVersionIdNamesDTO)` |
    `org.springframework.http.ResponseEntity<java.util.List<WordCloudVO>>` | `findWordCloudData​(ResourceDTO resourceDTO)` |
    `org.springframework.http.ResponseEntity<java.util.List<UniqueAssigneeIssueStatusVO>>` | `issueStatusDataByAssignee​(ResourceDTO resourceDTO)` |
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<StackedHorizontalBarChartVO>>` | `issueStatusStackedBarChartData​(ResourceDTO resourceDTO)` |
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<SankeyData>>` | `versionAssigneeIssueSummary​(ResourceDTO resourceDTO, java.lang.Integer topN)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceController

          public ResourceController()

  - ### Method Detail

    - #### issueStatusDataByAssignee

          @GetMapping("/issue-status-by-assignee")
          public org.springframework.http.ResponseEntity<java.util.List<UniqueAssigneeIssueStatusVO>> issueStatusDataByAssignee​(ResourceDTO resourceDTO)
                                                                                                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### versionAssigneeIssueSummary

          @GetMapping(value="/version-assignee-summary",
                      name="resource-version-assignee-summary")
          public org.springframework.http.ResponseEntity<CommonResponse.ApiResult<SankeyData>> versionAssigneeIssueSummary​(ResourceDTO resourceDTO,
                                                                                                                           @RequestParam(required=false)
                                                                                                                           java.lang.Integer topN)
                                                                                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### findAssigneesInfoData

          @GetMapping("/assignees-info")
          public org.springframework.http.ResponseEntity<java.util.List<UniqueAssigneeVO>> findAssigneesInfoData​(ResourceDTO resourceDTO)
                                                                                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### findPieChartDataExpand

          @GetMapping("/top-contributors/pie-expand")
          public org.springframework.http.ResponseEntity<TotalIssueAndPieChartVO> findPieChartDataExpand​(ResourceDTO resourceDTO)

    - #### findPieChartData

          @GetMapping("/top-contributors/pie")
          public org.springframework.http.ResponseEntity<ReqAndNotReqPieChartVO> findPieChartData​(ResourceDTO resourceDTO)

    - #### findHorizontalBarChartData

          @PostMapping("/top-contributors/horizontal-bar")
          public org.springframework.http.ResponseEntity<java.util.List<HorizontalBarChartYAxisAndSeriesVO>> findHorizontalBarChartData​(@RequestBody
                                                                                                                                        ResourceDTO resourceDTO)

    - #### findHorizontalBarChartDataAtOnce

          @PostMapping("/top-contributors/horizontal-bar-at-once")
          public org.springframework.http.ResponseEntity<ReqAndNotReqHorizontalBarChartVO> findHorizontalBarChartDataAtOnce​(@RequestBody
                                                                                                                            ResourceDTO resourceDTO)

    - #### findTreeMapChartDataV3

          @GetMapping(value="/assignees-requirements-involvements-v3",
                      name="resource-treemap-v3")
          public org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.List<TreeMapWorkerVO>>> findTreeMapChartDataV3​(ResourceWithVersionIdNamesDTO resourceWithVersionIdNamesDTO)
                                                                                                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### assigneeRequirementInvolvementDetailData

          @GetMapping("/findAssigneeRequirementInvolvementData")
          public org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.List<TreemapExcelVO>>> assigneeRequirementInvolvementDetailData​(ResourceWithVersionIdNamesDTO resourceWithVersionIdNamesDTO)
                                                                                                                                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### findAssigneeRequirementInvolvementDataDownload

          @GetMapping("/findAssigneeRequirementInvolvementDataDownload")
          public void findAssigneeRequirementInvolvementDataDownload​(ResourceWithVersionIdNamesDTO resourceWithVersionIdNamesDTO,
                                                                     java.lang.String fileName,
                                                                     javax.servlet.http.HttpServletResponse httpServletResponse)
                                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### findWordCloudData

          @GetMapping("/word-cloud-data")
          public org.springframework.http.ResponseEntity<java.util.List<WordCloudVO>> findWordCloudData​(ResourceDTO resourceDTO)

    - #### issueStatusStackedBarChartData

          @GetMapping("/issue-status-stacked-bar")
          public org.springframework.http.ResponseEntity<CommonResponse.ApiResult<StackedHorizontalBarChartVO>> issueStatusStackedBarChartData​(ResourceDTO resourceDTO)